IAutomaticUpdatesSettings::Required property

Gets a Boolean value that indicates whether Group Policy requires the Automatic Updates service.

This property is read-only.

Syntax


HRESULT get_Required(
  [out] VARIANT_BOOL *retval
);

Property value

VARIANT_TRUE if the Automatic Updates service is required; otherwise, VARIANT_FALSE.

Error codes

Returns S_OK if successful. Otherwise, returns a COM or Windows error code.

Requirements

Minimum supported client

Windows XP, Windows 2000 Professional with SP3 [desktop apps only]

Minimum supported server

Windows Server 2003, Windows 2000 Server with SP3 [desktop apps only]

Header

Wuapi.h

IDL

Wuapi.idl

Library

Wuguid.lib

DLL

Wuapi.dll

See also

IAutomaticUpdatesSettings

 

 

Show: